Skip to content
BleemeoBleemeo

Retrieve a container

GET
/v1/container/{id}/
curl --request GET \
--url https://example.com/v1/container/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>'

Return a single container by its ID.

id
required
string format: uuid

A UUID string identifying this container.

Media typeapplication/json

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

object
command
string
cpu_current_value
required
number format: double
nullable
deleted_at
string format: date-time
nullable
docker_api_version
string
<= 10 characters
container_created_at
string format: date-time
nullable
container_finished_at
string format: date-time
nullable
container_id
string
<= 100 characters
container_image_id
string
<= 100 characters
container_image_name
string
<= 256 characters
container_inspect
string
container_started_at
string format: date-time
nullable
container_status
string
container_runtime
string
<= 50 characters
host
required
string format: uuid
id
required
string format: uuid
io_read_bytes_current_value
required
number format: double
nullable
io_write_bytes_current_value
required
number format: double
nullable
memory_current_status
required
integer
nullable
memory_current_value
required
number format: double
nullable
name
string
<= 256 characters
net_bits_recv_current_value
required
number format: double
nullable
net_bits_sent_current_value
required
number format: double
nullable
docker_id
string
docker_image_id
string
docker_image_name
string
docker_created_at
string format: date-time
nullable
docker_finished_at
string format: date-time
nullable
docker_started_at
string format: date-time
nullable
docker_inspect
string
docker_status
string
Examplegenerated
{
"command": "example",
"deleted_at": "2026-04-15T12:00:00Z",
"docker_api_version": "example",
"container_created_at": "2026-04-15T12:00:00Z",
"container_finished_at": "2026-04-15T12:00:00Z",
"container_id": "example",
"container_image_id": "example",
"container_image_name": "example",
"container_inspect": "example",
"container_started_at": "2026-04-15T12:00:00Z",
"container_status": "example",
"container_runtime": "example",
"host": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"docker_id": "example",
"docker_image_id": "example",
"docker_image_name": "example",
"docker_created_at": "2026-04-15T12:00:00Z",
"docker_finished_at": "2026-04-15T12:00:00Z",
"docker_started_at": "2026-04-15T12:00:00Z",
"docker_inspect": "example",
"docker_status": "example"
}